/*
 * EmpiricalPotential.hpp
 *
 *  Created on: Sep 26, 2012
 *      Author: heber
 */

#ifndef EMPIRICALPOTENTIAL_HPP_
#define EMPIRICALPOTENTIAL_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <vector>

#include "FunctionApproximation/FunctionArgument.hpp"

/** An EmpiricalPotential is a function that is given a vector of objects as
 * arguments which it uses to evaluate an internal function and returns a
 * value representing the energy of this configuration indicated by the
 * arguments.
 *
 * It is to be used inside an std::accumulate function after a vector of
 * arguments (i.e. a vector of a vector) has been prepared initially.
 *
 */
class EmpiricalPotential
{
public:
  /** Default constructor for class EmpiricalPotential.
   *
   */
  EmpiricalPotential() {}

  /** Destructor for class EmpiricalPotential.
   *
   */
  virtual ~EmpiricalPotential() {}
};


#endif /* EMPIRICALPOTENTIAL_HPP_ */
